//----------------------------------------------------------------------------
//  Project basuser.ide
//  Building Automation Services
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    basuser.ide.apx Application
//  FILE:         decoratedchild.h
//  AUTHOR:       Bruce E. Stemplewski
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TDecoratedChild (TDecoratedFrame).
//
//----------------------------------------------------------------------------
#if !defined(decoratedchild_h)              // Sentry, use file only if it's not already included.
#define decoratedchild_h

#include <owl/decframe.h>
#include <owl/listwind.h>

#include "basuser.rh"            // Definition of all resources.


//{{TDecoratedFrame = TDecoratedChild}}
class TDecoratedChild : public TDecoratedFrame {
  public:
    TDecoratedChild(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection = false, TModule* module = 0);
    virtual ~TDecoratedChild();

   protected:
      TListWindow *ValueWind;


//{{TDecoratedChildVIRTUAL_BEGIN}}
  public:
    virtual void SetupWindow();
//{{TDecoratedChildVIRTUAL_END}}
};    //{{TDecoratedChild}}


#endif  // decoratedchild_h sentry.

